#!---------------------------------------------------------------------
#!---------------------------------------------------------------------
#!---------------------------------------------------------------------
#!---------------------------------------------------------------------
#! File Name:   Dct2Sql.Tpl
#! Purpose:     Assorted SQL dealing templates
#! Author:      Copyright  1999-2008 by Roberto Artigas Jr
#!              All rights reserved world wide.
#! Changes:
#! 2008.03.03	Roberto Artigas
#!	*	Added Firebird templates from Jimmy Rogers
#! 2007.12.05   Roberto Artigas
#!  *   Added Pervasive template from Rafael Salguero Agruel
#! 2007.04.28   Roberto Artigas
#!  *   Added ORACLE skeleton Vido Vouk - Poldem
#! 2007.04.27   Roberto Artigas
#!  *   Added MsSQL contribution from Bo Schmitz
#! 2006.11.18   Roberto Artigas Jr
#!  *   Added DCT to Metabase-Mimer variant
#! 2006.01.28   Roberto Artigas Jr
#!  *   Added Utility Templates by Bo Schmitz
#! 2005.01.02   Roberto Artigas Jr
#!  *   Added MsSQL contribution from Russell B. Eggen
#! 2004.11.12   Roberto Artigas Jr
#!  *   Added utility templates related to SQL dictionaries.
#!      These have to do with cleaning up large dictionaries.
#!  *   Added Firebird [00] script generator.
#! 2004.01.29   Roberto Artigas Jr
#!  *   Added MsSQL contribution from Richard Bryce.
#! 2003.04.30   Roberto Artigas Jr
#!  *   Added MsSQL contribution from S. Jayashankar.
#! 2003.03.08   Roberto Artigas Jr
#!  *   Added Mimer contribution from Matthew G. Gorman.
#! 2002.01.05   Roberto Artigas Jr
#!  *   Added Sybase contribution from Eddie Sizemore.
#! 2002.12.02   Roberto Artigas Jr
#!  *   Added PostGreSQL skeleton for Dave Harms.
#!  *   Added Sybase skeleton for Eddie Sizemore.
#! 2002.11.14   Roberto Artigas Jr
#!  *   Added template contribution by Vadim Verman
#! 2002.04.25   Roberto Artigas Jr
#!  *   Added skeleton for MsSQL variant of the template.
#! 2002.01.28   Roberto Artigas Jr
#!  *   Added skeleton for Michael Gorman's DCT -> Metabase simple SQL.
#! 2001.12.31   Roberto Artigas Jr
#!  *   Added skeleton for Lew Strock who wants to work on PSQL.
#! 2001.10.30   Roberto Artigas Jr
#!  *   Lee White made some changes to the MySQL template for his use. 
#!  *   Added this for now as a variation on a theme.
#!  *   Might fold some of these changes into the original at a later time.
#! 2001.10.21   Roberto Artigas Jr
#!  *   Added DCT -> Interbase Template
#! 2001.07.27   Roberto Artigas Jr
#!  *   Broke appart into smaller pieces
#!--------------------------------------------------------------------
#!--------------------------------------------------------------------
#!--------------------------------------------------------------------
#!--------------------------------------------------------------------
#TEMPLATE(zDct2Sql,'2007.12.05: DCT to SQL Templates'),FAMILY('CW20','ABC')
#!---------------------------------------------------------------------
#INCLUDE('D2G.TPW')                 #! Major table groups
#INCLUDE('D2UTIL.TPW')              #! Utility Templates (Roberto Artigas)
#INCLUDE('D2MYSQL.TPW')             #! DCT -> MySql (Roberto Artigas)
#INCLUDE('D2IBASE.TPW')             #! DCT -> Interbase (Roberto Artigas)
#INCLUDE('D2MYSQL0.TPW')            #! DCT -> MySql (Lee White)
#INCLUDE('D2PSQL.TPW')              #! DCT -> PSQL (Lew Strock)
#INCLUDE('D2MB.TPW')                #! DCT -> MetaBase (Roberto Artigas)
#INCLUDE('D2MSSQL.TPW')             #! DCT -> MsSQL
#INCLUDE('D2SQLSCR.TPW')            #! DCT -> MsSQL (With Update)
#INCLUDE('D2PSTGRE.TPW')            #! DCT -> PostGreSQL (Dave Harms)
#INCLUDE('D2SYBASE.TPW')            #! DCT -> Sybase
#INCLUDE('D2EDSIZE.TPW')            #! DCT -> Sybase (Eddie Sizemore)
#INCLUDE('D2MIMER.TPW')             #! DCT -> Mimer (Matthew G. Gorman)
#INCLUDE('D2MSSQL0.TPW')            #! DCT -> MsSQL (S. Jayashankar)
#INCLUDE('D2MSSQL1.TPW')            #! DCT -> MsSQL (Richard Bryce)
#INCLUDE('D2FB00.TPW')              #! DCT -> Firebird (Roberto Artigas)
#INCLUDE('D2MSSQL2.TPW')            #! DCT -> MsSQL (Russell B. Eggen)
#INCLUDE('D2DUPKEY.TPW')            #! Utility Templates by Bo Schmitz 
#INCLUDE('D2M2MIMR.TPW')            #! DCT -> Metabase-Mimer combination
#INCLUDE('D2MSSQLb.TPW')            #! DCT -> MsSQL (Bo Schmitz)
#INCLUDE('D2ORACL0.TPW')            #! DCT -> Oracle (Roberto Artigas)
#INCLUDE('D2PERV.TPW')              #! DCT -> Pervasive (Rafael Salguero Agruel)
#INCLUDE('D2JKRFB.TPW')				#! DCT -> Firebird (Jimmy Rogers)
#!---------------------------------------------------------------------
#GROUP(%zDct2SqlEnd)
#!---------------------------------------------------------------------
#!---------------------------------------------------------------------
#!---------------------------------------------------------------------
#!---------------------------------------------------------------------
